# Speaker Topics

Speaker Topics

## Gets all of the speaker topics in the system.

 - [GET /speakerTopics/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/listspeakertopics.md): This method will scan all speaker topics and and return them to the caller.

## Creates a new speaker topic record that does not already exist.

 - [POST /speakerTopics/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/createspeakertopic.md): This method will auto-generate an ID and create a new speaker topic. If an ID is specified for the speaker topic, an error will be thrown.

## Execute Batch Operations

 - [POST /speakerTopics/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a speaker topic from the system by its ID.

 - [DELETE /speakerTopics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/deletespeakertopic.md): This method will delete a speaker topic with the specified ID.

## Returns a speaker topic from the system by its ID.

 - [GET /speakerTopics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/getspeakertopic.md): This method will look up a speaker topic by the specified ID and return it back.

## Partially updates a speaker topic with the specified ID.

 - [PATCH /speakerTopics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/patchspeakertopic.md): This method will patch an existing speaker topic with the specified ID, using the HTTP PATCH specification.

## Updates a speaker topic with the specified ID.

 - [PUT /speakerTopics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/updatespeakertopic.md): This method will update an existing speaker topic with the specified ID.

